"use strict";
// Copyright IBM Corp. 2019. All Rights Reserved.
// Node module: @loopback/example-lb3-application
// This file is licensed under the MIT License.
// License text available at https://opensource.org/licenses/MIT
Object.defineProperty(exports, "__esModule", { value: true });
exports.givenCoffeeShop = exports.setupApplication = void 0;
const testlab_1 = require("@loopback/testlab");
const server_1 = require("../../server");
const lb3app = require('../../../lb3app/server/server');
async function setupApplication() {
    const app = new server_1.ExpressServer({
        rest: testlab_1.givenHttpServerConfig(),
    });
    await app.boot();
    await app.start();
    const client = testlab_1.supertest(app.url);
    return { app, client };
}
exports.setupApplication = setupApplication;
/**
 * Generate a complete Coffee object for use with tests.
 */
function givenCoffeeShop() {
    const CoffeeShop = lb3app.models.CoffeeShop;
    const data = {
        name: 'Coffee Shop',
        city: 'Toronto',
    };
    return new CoffeeShop(data);
}
exports.givenCoffeeShop = givenCoffeeShop;
//# sourceMappingURL=test-helper.js.map